// generated with gradle task `downloadWindowsZonesMapping`
#include <unordered_map>
#include <string>
static const std::unordered_map<std::string, std::string> standard_to_windows = {
	{ "Etc/GMT+12", "Dateline Standard Time" },
	{ "Etc/GMT+11", "UTC-11" },
	{ "Pacific/Pago_Pago", "UTC-11" },
	{ "Pacific/Niue", "UTC-11" },
	{ "Pacific/Midway", "UTC-11" },
	{ "America/Adak", "Aleutian Standard Time" },
	{ "Pacific/Honolulu", "Hawaiian Standard Time" },
	{ "Pacific/Rarotonga", "Hawaiian Standard Time" },
	{ "Pacific/Tahiti", "Hawaiian Standard Time" },
	{ "Pacific/Johnston", "Hawaiian Standard Time" },
	{ "Etc/GMT+10", "Hawaiian Standard Time" },
	{ "Pacific/Marquesas", "Marquesas Standard Time" },
	{ "America/Anchorage", "Alaskan Standard Time" },
	{ "America/Juneau", "Alaskan Standard Time" },
	{ "America/Metlakatla", "Alaskan Standard Time" },
	{ "America/Nome", "Alaskan Standard Time" },
	{ "America/Sitka", "Alaskan Standard Time" },
	{ "America/Yakutat", "Alaskan Standard Time" },
	{ "Etc/GMT+9", "UTC-09" },
	{ "Pacific/Gambier", "UTC-09" },
	{ "America/Tijuana", "Pacific Standard Time (Mexico)" },
	{ "America/Santa_Isabel", "Pacific Standard Time (Mexico)" },
	{ "Etc/GMT+8", "UTC-08" },
	{ "Pacific/Pitcairn", "UTC-08" },
	{ "America/Los_Angeles", "Pacific Standard Time" },
	{ "America/Vancouver", "Pacific Standard Time" },
	{ "America/Dawson", "Pacific Standard Time" },
	{ "America/Whitehorse", "Pacific Standard Time" },
	{ "PST8PDT", "Pacific Standard Time" },
	{ "America/Phoenix", "US Mountain Standard Time" },
	{ "America/Dawson_Creek", "US Mountain Standard Time" },
	{ "America/Creston", "US Mountain Standard Time" },
	{ "America/Fort_Nelson", "US Mountain Standard Time" },
	{ "America/Hermosillo", "US Mountain Standard Time" },
	{ "Etc/GMT+7", "US Mountain Standard Time" },
	{ "America/Chihuahua", "Mountain Standard Time (Mexico)" },
	{ "America/Mazatlan", "Mountain Standard Time (Mexico)" },
	{ "America/Denver", "Mountain Standard Time" },
	{ "America/Edmonton", "Mountain Standard Time" },
	{ "America/Cambridge_Bay", "Mountain Standard Time" },
	{ "America/Inuvik", "Mountain Standard Time" },
	{ "America/Yellowknife", "Mountain Standard Time" },
	{ "America/Ojinaga", "Mountain Standard Time" },
	{ "America/Boise", "Mountain Standard Time" },
	{ "MST7MDT", "Mountain Standard Time" },
	{ "America/Guatemala", "Central America Standard Time" },
	{ "America/Belize", "Central America Standard Time" },
	{ "America/Costa_Rica", "Central America Standard Time" },
	{ "Pacific/Galapagos", "Central America Standard Time" },
	{ "America/Tegucigalpa", "Central America Standard Time" },
	{ "America/Managua", "Central America Standard Time" },
	{ "America/El_Salvador", "Central America Standard Time" },
	{ "Etc/GMT+6", "Central America Standard Time" },
	{ "America/Chicago", "Central Standard Time" },
	{ "America/Winnipeg", "Central Standard Time" },
	{ "America/Rainy_River", "Central Standard Time" },
	{ "America/Rankin_Inlet", "Central Standard Time" },
	{ "America/Resolute", "Central Standard Time" },
	{ "America/Matamoros", "Central Standard Time" },
	{ "America/Indiana/Knox", "Central Standard Time" },
	{ "America/Indiana/Tell_City", "Central Standard Time" },
	{ "America/Menominee", "Central Standard Time" },
	{ "America/North_Dakota/Beulah", "Central Standard Time" },
	{ "America/North_Dakota/Center", "Central Standard Time" },
	{ "America/North_Dakota/New_Salem", "Central Standard Time" },
	{ "CST6CDT", "Central Standard Time" },
	{ "Pacific/Easter", "Easter Island Standard Time" },
	{ "America/Mexico_City", "Central Standard Time (Mexico)" },
	{ "America/Bahia_Banderas", "Central Standard Time (Mexico)" },
	{ "America/Merida", "Central Standard Time (Mexico)" },
	{ "America/Monterrey", "Central Standard Time (Mexico)" },
	{ "America/Regina", "Canada Central Standard Time" },
	{ "America/Swift_Current", "Canada Central Standard Time" },
	{ "America/Bogota", "SA Pacific Standard Time" },
	{ "America/Rio_Branco", "SA Pacific Standard Time" },
	{ "America/Eirunepe", "SA Pacific Standard Time" },
	{ "America/Coral_Harbour", "SA Pacific Standard Time" },
	{ "America/Guayaquil", "SA Pacific Standard Time" },
	{ "America/Jamaica", "SA Pacific Standard Time" },
	{ "America/Cayman", "SA Pacific Standard Time" },
	{ "America/Panama", "SA Pacific Standard Time" },
	{ "America/Lima", "SA Pacific Standard Time" },
	{ "Etc/GMT+5", "SA Pacific Standard Time" },
	{ "America/Cancun", "Eastern Standard Time (Mexico)" },
	{ "America/New_York", "Eastern Standard Time" },
	{ "America/Nassau", "Eastern Standard Time" },
	{ "America/Toronto", "Eastern Standard Time" },
	{ "America/Iqaluit", "Eastern Standard Time" },
	{ "America/Montreal", "Eastern Standard Time" },
	{ "America/Nipigon", "Eastern Standard Time" },
	{ "America/Pangnirtung", "Eastern Standard Time" },
	{ "America/Thunder_Bay", "Eastern Standard Time" },
	{ "America/Detroit", "Eastern Standard Time" },
	{ "America/Indiana/Petersburg", "Eastern Standard Time" },
	{ "America/Indiana/Vincennes", "Eastern Standard Time" },
	{ "America/Indiana/Winamac", "Eastern Standard Time" },
	{ "America/Kentucky/Monticello", "Eastern Standard Time" },
	{ "America/Louisville", "Eastern Standard Time" },
	{ "EST5EDT", "Eastern Standard Time" },
	{ "America/Port-au-Prince", "Haiti Standard Time" },
	{ "America/Havana", "Cuba Standard Time" },
	{ "America/Indianapolis", "US Eastern Standard Time" },
	{ "America/Indiana/Marengo", "US Eastern Standard Time" },
	{ "America/Indiana/Vevay", "US Eastern Standard Time" },
	{ "America/Grand_Turk", "Turks And Caicos Standard Time" },
	{ "America/Asuncion", "Paraguay Standard Time" },
	{ "America/Halifax", "Atlantic Standard Time" },
	{ "Atlantic/Bermuda", "Atlantic Standard Time" },
	{ "America/Glace_Bay", "Atlantic Standard Time" },
	{ "America/Goose_Bay", "Atlantic Standard Time" },
	{ "America/Moncton", "Atlantic Standard Time" },
	{ "America/Thule", "Atlantic Standard Time" },
	{ "America/Caracas", "Venezuela Standard Time" },
	{ "America/Cuiaba", "Central Brazilian Standard Time" },
	{ "America/Campo_Grande", "Central Brazilian Standard Time" },
	{ "America/La_Paz", "SA Western Standard Time" },
	{ "America/Antigua", "SA Western Standard Time" },
	{ "America/Anguilla", "SA Western Standard Time" },
	{ "America/Aruba", "SA Western Standard Time" },
	{ "America/Barbados", "SA Western Standard Time" },
	{ "America/St_Barthelemy", "SA Western Standard Time" },
	{ "America/Kralendijk", "SA Western Standard Time" },
	{ "America/Manaus", "SA Western Standard Time" },
	{ "America/Boa_Vista", "SA Western Standard Time" },
	{ "America/Porto_Velho", "SA Western Standard Time" },
	{ "America/Blanc-Sablon", "SA Western Standard Time" },
	{ "America/Curacao", "SA Western Standard Time" },
	{ "America/Dominica", "SA Western Standard Time" },
	{ "America/Santo_Domingo", "SA Western Standard Time" },
	{ "America/Grenada", "SA Western Standard Time" },
	{ "America/Guadeloupe", "SA Western Standard Time" },
	{ "America/Guyana", "SA Western Standard Time" },
	{ "America/St_Kitts", "SA Western Standard Time" },
	{ "America/St_Lucia", "SA Western Standard Time" },
	{ "America/Marigot", "SA Western Standard Time" },
	{ "America/Martinique", "SA Western Standard Time" },
	{ "America/Montserrat", "SA Western Standard Time" },
	{ "America/Puerto_Rico", "SA Western Standard Time" },
	{ "America/Lower_Princes", "SA Western Standard Time" },
	{ "America/Port_of_Spain", "SA Western Standard Time" },
	{ "America/St_Vincent", "SA Western Standard Time" },
	{ "America/Tortola", "SA Western Standard Time" },
	{ "America/St_Thomas", "SA Western Standard Time" },
	{ "Etc/GMT+4", "SA Western Standard Time" },
	{ "America/Santiago", "Pacific SA Standard Time" },
	{ "America/St_Johns", "Newfoundland Standard Time" },
	{ "America/Araguaina", "Tocantins Standard Time" },
	{ "America/Sao_Paulo", "E. South America Standard Time" },
	{ "America/Cayenne", "SA Eastern Standard Time" },
	{ "Antarctica/Rothera", "SA Eastern Standard Time" },
	{ "Antarctica/Palmer", "SA Eastern Standard Time" },
	{ "America/Fortaleza", "SA Eastern Standard Time" },
	{ "America/Belem", "SA Eastern Standard Time" },
	{ "America/Maceio", "SA Eastern Standard Time" },
	{ "America/Recife", "SA Eastern Standard Time" },
	{ "America/Santarem", "SA Eastern Standard Time" },
	{ "Atlantic/Stanley", "SA Eastern Standard Time" },
	{ "America/Paramaribo", "SA Eastern Standard Time" },
	{ "Etc/GMT+3", "SA Eastern Standard Time" },
	{ "America/Buenos_Aires", "Argentina Standard Time" },
	{ "America/Argentina/La_Rioja", "Argentina Standard Time" },
	{ "America/Argentina/Rio_Gallegos", "Argentina Standard Time" },
	{ "America/Argentina/Salta", "Argentina Standard Time" },
	{ "America/Argentina/San_Juan", "Argentina Standard Time" },
	{ "America/Argentina/San_Luis", "Argentina Standard Time" },
	{ "America/Argentina/Tucuman", "Argentina Standard Time" },
	{ "America/Argentina/Ushuaia", "Argentina Standard Time" },
	{ "America/Catamarca", "Argentina Standard Time" },
	{ "America/Cordoba", "Argentina Standard Time" },
	{ "America/Jujuy", "Argentina Standard Time" },
	{ "America/Mendoza", "Argentina Standard Time" },
	{ "America/Godthab", "Greenland Standard Time" },
	{ "America/Montevideo", "Montevideo Standard Time" },
	{ "America/Punta_Arenas", "Magallanes Standard Time" },
	{ "America/Miquelon", "Saint Pierre Standard Time" },
	{ "America/Bahia", "Bahia Standard Time" },
	{ "Etc/GMT+2", "UTC-02" },
	{ "America/Noronha", "UTC-02" },
	{ "Atlantic/South_Georgia", "UTC-02" },
	{ "Atlantic/Azores", "Azores Standard Time" },
	{ "America/Scoresbysund", "Azores Standard Time" },
	{ "Atlantic/Cape_Verde", "Cape Verde Standard Time" },
	{ "Etc/GMT+1", "Cape Verde Standard Time" },
	{ "Etc/GMT", "UTC" },
	{ "America/Danmarkshavn", "UTC" },
	{ "Etc/UTC", "UTC" },
	{ "Europe/London", "GMT Standard Time" },
	{ "Atlantic/Canary", "GMT Standard Time" },
	{ "Atlantic/Faeroe", "GMT Standard Time" },
	{ "Europe/Guernsey", "GMT Standard Time" },
	{ "Europe/Dublin", "GMT Standard Time" },
	{ "Europe/Isle_of_Man", "GMT Standard Time" },
	{ "Europe/Jersey", "GMT Standard Time" },
	{ "Europe/Lisbon", "GMT Standard Time" },
	{ "Atlantic/Madeira", "GMT Standard Time" },
	{ "Atlantic/Reykjavik", "Greenwich Standard Time" },
	{ "Africa/Ouagadougou", "Greenwich Standard Time" },
	{ "Africa/Abidjan", "Greenwich Standard Time" },
	{ "Africa/Accra", "Greenwich Standard Time" },
	{ "Africa/Banjul", "Greenwich Standard Time" },
	{ "Africa/Conakry", "Greenwich Standard Time" },
	{ "Africa/Bissau", "Greenwich Standard Time" },
	{ "Africa/Monrovia", "Greenwich Standard Time" },
	{ "Africa/Bamako", "Greenwich Standard Time" },
	{ "Africa/Nouakchott", "Greenwich Standard Time" },
	{ "Atlantic/St_Helena", "Greenwich Standard Time" },
	{ "Africa/Freetown", "Greenwich Standard Time" },
	{ "Africa/Dakar", "Greenwich Standard Time" },
	{ "Africa/Lome", "Greenwich Standard Time" },
	{ "Africa/Sao_Tome", "Sao Tome Standard Time" },
	{ "Africa/Casablanca", "Morocco Standard Time" },
	{ "Africa/El_Aaiun", "Morocco Standard Time" },
	{ "Europe/Berlin", "W. Europe Standard Time" },
	{ "Europe/Andorra", "W. Europe Standard Time" },
	{ "Europe/Vienna", "W. Europe Standard Time" },
	{ "Europe/Zurich", "W. Europe Standard Time" },
	{ "Europe/Busingen", "W. Europe Standard Time" },
	{ "Europe/Gibraltar", "W. Europe Standard Time" },
	{ "Europe/Rome", "W. Europe Standard Time" },
	{ "Europe/Vaduz", "W. Europe Standard Time" },
	{ "Europe/Luxembourg", "W. Europe Standard Time" },
	{ "Europe/Monaco", "W. Europe Standard Time" },
	{ "Europe/Malta", "W. Europe Standard Time" },
	{ "Europe/Amsterdam", "W. Europe Standard Time" },
	{ "Europe/Oslo", "W. Europe Standard Time" },
	{ "Europe/Stockholm", "W. Europe Standard Time" },
	{ "Arctic/Longyearbyen", "W. Europe Standard Time" },
	{ "Europe/San_Marino", "W. Europe Standard Time" },
	{ "Europe/Vatican", "W. Europe Standard Time" },
	{ "Europe/Budapest", "Central Europe Standard Time" },
	{ "Europe/Tirane", "Central Europe Standard Time" },
	{ "Europe/Prague", "Central Europe Standard Time" },
	{ "Europe/Podgorica", "Central Europe Standard Time" },
	{ "Europe/Belgrade", "Central Europe Standard Time" },
	{ "Europe/Ljubljana", "Central Europe Standard Time" },
	{ "Europe/Bratislava", "Central Europe Standard Time" },
	{ "Europe/Paris", "Romance Standard Time" },
	{ "Europe/Brussels", "Romance Standard Time" },
	{ "Europe/Copenhagen", "Romance Standard Time" },
	{ "Europe/Madrid", "Romance Standard Time" },
	{ "Africa/Ceuta", "Romance Standard Time" },
	{ "Europe/Warsaw", "Central European Standard Time" },
	{ "Europe/Sarajevo", "Central European Standard Time" },
	{ "Europe/Zagreb", "Central European Standard Time" },
	{ "Europe/Skopje", "Central European Standard Time" },
	{ "Africa/Lagos", "W. Central Africa Standard Time" },
	{ "Africa/Luanda", "W. Central Africa Standard Time" },
	{ "Africa/Porto-Novo", "W. Central Africa Standard Time" },
	{ "Africa/Kinshasa", "W. Central Africa Standard Time" },
	{ "Africa/Bangui", "W. Central Africa Standard Time" },
	{ "Africa/Brazzaville", "W. Central Africa Standard Time" },
	{ "Africa/Douala", "W. Central Africa Standard Time" },
	{ "Africa/Algiers", "W. Central Africa Standard Time" },
	{ "Africa/Libreville", "W. Central Africa Standard Time" },
	{ "Africa/Malabo", "W. Central Africa Standard Time" },
	{ "Africa/Niamey", "W. Central Africa Standard Time" },
	{ "Africa/Ndjamena", "W. Central Africa Standard Time" },
	{ "Africa/Tunis", "W. Central Africa Standard Time" },
	{ "Etc/GMT-1", "W. Central Africa Standard Time" },
	{ "Asia/Amman", "Jordan Standard Time" },
	{ "Europe/Bucharest", "GTB Standard Time" },
	{ "Asia/Nicosia", "GTB Standard Time" },
	{ "Asia/Famagusta", "GTB Standard Time" },
	{ "Europe/Athens", "GTB Standard Time" },
	{ "Asia/Beirut", "Middle East Standard Time" },
	{ "Africa/Cairo", "Egypt Standard Time" },
	{ "Europe/Chisinau", "E. Europe Standard Time" },
	{ "Asia/Damascus", "Syria Standard Time" },
	{ "Asia/Hebron", "West Bank Standard Time" },
	{ "Asia/Gaza", "West Bank Standard Time" },
	{ "Africa/Johannesburg", "South Africa Standard Time" },
	{ "Africa/Bujumbura", "South Africa Standard Time" },
	{ "Africa/Gaborone", "South Africa Standard Time" },
	{ "Africa/Lubumbashi", "South Africa Standard Time" },
	{ "Africa/Maseru", "South Africa Standard Time" },
	{ "Africa/Blantyre", "South Africa Standard Time" },
	{ "Africa/Maputo", "South Africa Standard Time" },
	{ "Africa/Kigali", "South Africa Standard Time" },
	{ "Africa/Mbabane", "South Africa Standard Time" },
	{ "Africa/Lusaka", "South Africa Standard Time" },
	{ "Africa/Harare", "South Africa Standard Time" },
	{ "Etc/GMT-2", "South Africa Standard Time" },
	{ "Europe/Kiev", "FLE Standard Time" },
	{ "Europe/Mariehamn", "FLE Standard Time" },
	{ "Europe/Sofia", "FLE Standard Time" },
	{ "Europe/Tallinn", "FLE Standard Time" },
	{ "Europe/Helsinki", "FLE Standard Time" },
	{ "Europe/Vilnius", "FLE Standard Time" },
	{ "Europe/Riga", "FLE Standard Time" },
	{ "Europe/Uzhgorod", "FLE Standard Time" },
	{ "Europe/Zaporozhye", "FLE Standard Time" },
	{ "Asia/Jerusalem", "Israel Standard Time" },
	{ "Europe/Kaliningrad", "Kaliningrad Standard Time" },
	{ "Africa/Khartoum", "Sudan Standard Time" },
	{ "Africa/Tripoli", "Libya Standard Time" },
	{ "Africa/Windhoek", "Namibia Standard Time" },
	{ "Asia/Baghdad", "Arabic Standard Time" },
	{ "Europe/Istanbul", "Turkey Standard Time" },
	{ "Asia/Riyadh", "Arab Standard Time" },
	{ "Asia/Bahrain", "Arab Standard Time" },
	{ "Asia/Kuwait", "Arab Standard Time" },
	{ "Asia/Qatar", "Arab Standard Time" },
	{ "Asia/Aden", "Arab Standard Time" },
	{ "Europe/Minsk", "Belarus Standard Time" },
	{ "Europe/Moscow", "Russian Standard Time" },
	{ "Europe/Kirov", "Russian Standard Time" },
	{ "Europe/Simferopol", "Russian Standard Time" },
	{ "Africa/Nairobi", "E. Africa Standard Time" },
	{ "Antarctica/Syowa", "E. Africa Standard Time" },
	{ "Africa/Djibouti", "E. Africa Standard Time" },
	{ "Africa/Asmera", "E. Africa Standard Time" },
	{ "Africa/Addis_Ababa", "E. Africa Standard Time" },
	{ "Indian/Comoro", "E. Africa Standard Time" },
	{ "Indian/Antananarivo", "E. Africa Standard Time" },
	{ "Africa/Mogadishu", "E. Africa Standard Time" },
	{ "Africa/Juba", "E. Africa Standard Time" },
	{ "Africa/Dar_es_Salaam", "E. Africa Standard Time" },
	{ "Africa/Kampala", "E. Africa Standard Time" },
	{ "Indian/Mayotte", "E. Africa Standard Time" },
	{ "Etc/GMT-3", "E. Africa Standard Time" },
	{ "Asia/Tehran", "Iran Standard Time" },
	{ "Asia/Dubai", "Arabian Standard Time" },
	{ "Asia/Muscat", "Arabian Standard Time" },
	{ "Etc/GMT-4", "Arabian Standard Time" },
	{ "Europe/Astrakhan", "Astrakhan Standard Time" },
	{ "Europe/Ulyanovsk", "Astrakhan Standard Time" },
	{ "Asia/Baku", "Azerbaijan Standard Time" },
	{ "Europe/Samara", "Russia Time Zone 3" },
	{ "Indian/Mauritius", "Mauritius Standard Time" },
	{ "Indian/Reunion", "Mauritius Standard Time" },
	{ "Indian/Mahe", "Mauritius Standard Time" },
	{ "Europe/Saratov", "Saratov Standard Time" },
	{ "Asia/Tbilisi", "Georgian Standard Time" },
	{ "Europe/Volgograd", "Volgograd Standard Time" },
	{ "Asia/Yerevan", "Caucasus Standard Time" },
	{ "Asia/Kabul", "Afghanistan Standard Time" },
	{ "Asia/Tashkent", "West Asia Standard Time" },
	{ "Antarctica/Mawson", "West Asia Standard Time" },
	{ "Asia/Oral", "West Asia Standard Time" },
	{ "Asia/Aqtau", "West Asia Standard Time" },
	{ "Asia/Aqtobe", "West Asia Standard Time" },
	{ "Asia/Atyrau", "West Asia Standard Time" },
	{ "Indian/Maldives", "West Asia Standard Time" },
	{ "Indian/Kerguelen", "West Asia Standard Time" },
	{ "Asia/Dushanbe", "West Asia Standard Time" },
	{ "Asia/Ashgabat", "West Asia Standard Time" },
	{ "Asia/Samarkand", "West Asia Standard Time" },
	{ "Etc/GMT-5", "West Asia Standard Time" },
	{ "Asia/Yekaterinburg", "Ekaterinburg Standard Time" },
	{ "Asia/Karachi", "Pakistan Standard Time" },
	{ "Asia/Qyzylorda", "Qyzylorda Standard Time" },
	{ "Asia/Calcutta", "India Standard Time" },
	{ "Asia/Colombo", "Sri Lanka Standard Time" },
	{ "Asia/Katmandu", "Nepal Standard Time" },
	{ "Asia/Almaty", "Central Asia Standard Time" },
	{ "Antarctica/Vostok", "Central Asia Standard Time" },
	{ "Asia/Urumqi", "Central Asia Standard Time" },
	{ "Indian/Chagos", "Central Asia Standard Time" },
	{ "Asia/Bishkek", "Central Asia Standard Time" },
	{ "Asia/Qostanay", "Central Asia Standard Time" },
	{ "Etc/GMT-6", "Central Asia Standard Time" },
	{ "Asia/Dhaka", "Bangladesh Standard Time" },
	{ "Asia/Thimphu", "Bangladesh Standard Time" },
	{ "Asia/Omsk", "Omsk Standard Time" },
	{ "Asia/Rangoon", "Myanmar Standard Time" },
	{ "Indian/Cocos", "Myanmar Standard Time" },
	{ "Asia/Bangkok", "SE Asia Standard Time" },
	{ "Antarctica/Davis", "SE Asia Standard Time" },
	{ "Indian/Christmas", "SE Asia Standard Time" },
	{ "Asia/Jakarta", "SE Asia Standard Time" },
	{ "Asia/Pontianak", "SE Asia Standard Time" },
	{ "Asia/Phnom_Penh", "SE Asia Standard Time" },
	{ "Asia/Vientiane", "SE Asia Standard Time" },
	{ "Asia/Saigon", "SE Asia Standard Time" },
	{ "Etc/GMT-7", "SE Asia Standard Time" },
	{ "Asia/Barnaul", "Altai Standard Time" },
	{ "Asia/Hovd", "W. Mongolia Standard Time" },
	{ "Asia/Krasnoyarsk", "North Asia Standard Time" },
	{ "Asia/Novokuznetsk", "North Asia Standard Time" },
	{ "Asia/Novosibirsk", "N. Central Asia Standard Time" },
	{ "Asia/Tomsk", "Tomsk Standard Time" },
	{ "Asia/Shanghai", "China Standard Time" },
	{ "Asia/Hong_Kong", "China Standard Time" },
	{ "Asia/Macau", "China Standard Time" },
	{ "Asia/Irkutsk", "North Asia East Standard Time" },
	{ "Asia/Singapore", "Singapore Standard Time" },
	{ "Antarctica/Casey", "Singapore Standard Time" },
	{ "Asia/Brunei", "Singapore Standard Time" },
	{ "Asia/Makassar", "Singapore Standard Time" },
	{ "Asia/Kuala_Lumpur", "Singapore Standard Time" },
	{ "Asia/Kuching", "Singapore Standard Time" },
	{ "Asia/Manila", "Singapore Standard Time" },
	{ "Etc/GMT-8", "Singapore Standard Time" },
	{ "Australia/Perth", "W. Australia Standard Time" },
	{ "Asia/Taipei", "Taipei Standard Time" },
	{ "Asia/Ulaanbaatar", "Ulaanbaatar Standard Time" },
	{ "Asia/Choibalsan", "Ulaanbaatar Standard Time" },
	{ "Australia/Eucla", "Aus Central W. Standard Time" },
	{ "Asia/Chita", "Transbaikal Standard Time" },
	{ "Asia/Tokyo", "Tokyo Standard Time" },
	{ "Asia/Jayapura", "Tokyo Standard Time" },
	{ "Pacific/Palau", "Tokyo Standard Time" },
	{ "Asia/Dili", "Tokyo Standard Time" },
	{ "Etc/GMT-9", "Tokyo Standard Time" },
	{ "Asia/Pyongyang", "North Korea Standard Time" },
	{ "Asia/Seoul", "Korea Standard Time" },
	{ "Asia/Yakutsk", "Yakutsk Standard Time" },
	{ "Asia/Khandyga", "Yakutsk Standard Time" },
	{ "Australia/Adelaide", "Cen. Australia Standard Time" },
	{ "Australia/Broken_Hill", "Cen. Australia Standard Time" },
	{ "Australia/Darwin", "AUS Central Standard Time" },
	{ "Australia/Brisbane", "E. Australia Standard Time" },
	{ "Australia/Lindeman", "E. Australia Standard Time" },
	{ "Australia/Sydney", "AUS Eastern Standard Time" },
	{ "Australia/Melbourne", "AUS Eastern Standard Time" },
	{ "Pacific/Port_Moresby", "West Pacific Standard Time" },
	{ "Antarctica/DumontDUrville", "West Pacific Standard Time" },
	{ "Pacific/Truk", "West Pacific Standard Time" },
	{ "Pacific/Guam", "West Pacific Standard Time" },
	{ "Pacific/Saipan", "West Pacific Standard Time" },
	{ "Etc/GMT-10", "West Pacific Standard Time" },
	{ "Australia/Hobart", "Tasmania Standard Time" },
	{ "Australia/Currie", "Tasmania Standard Time" },
	{ "Asia/Vladivostok", "Vladivostok Standard Time" },
	{ "Asia/Ust-Nera", "Vladivostok Standard Time" },
	{ "Australia/Lord_Howe", "Lord Howe Standard Time" },
	{ "Pacific/Bougainville", "Bougainville Standard Time" },
	{ "Asia/Srednekolymsk", "Russia Time Zone 10" },
	{ "Asia/Magadan", "Magadan Standard Time" },
	{ "Pacific/Norfolk", "Norfolk Standard Time" },
	{ "Asia/Sakhalin", "Sakhalin Standard Time" },
	{ "Pacific/Guadalcanal", "Central Pacific Standard Time" },
	{ "Antarctica/Macquarie", "Central Pacific Standard Time" },
	{ "Pacific/Ponape", "Central Pacific Standard Time" },
	{ "Pacific/Kosrae", "Central Pacific Standard Time" },
	{ "Pacific/Noumea", "Central Pacific Standard Time" },
	{ "Pacific/Efate", "Central Pacific Standard Time" },
	{ "Etc/GMT-11", "Central Pacific Standard Time" },
	{ "Asia/Kamchatka", "Russia Time Zone 11" },
	{ "Asia/Anadyr", "Russia Time Zone 11" },
	{ "Pacific/Auckland", "New Zealand Standard Time" },
	{ "Antarctica/McMurdo", "New Zealand Standard Time" },
	{ "Etc/GMT-12", "UTC+12" },
	{ "Pacific/Tarawa", "UTC+12" },
	{ "Pacific/Majuro", "UTC+12" },
	{ "Pacific/Kwajalein", "UTC+12" },
	{ "Pacific/Nauru", "UTC+12" },
	{ "Pacific/Funafuti", "UTC+12" },
	{ "Pacific/Wake", "UTC+12" },
	{ "Pacific/Wallis", "UTC+12" },
	{ "Pacific/Fiji", "Fiji Standard Time" },
	{ "Pacific/Chatham", "Chatham Islands Standard Time" },
	{ "Etc/GMT-13", "UTC+13" },
	{ "Pacific/Enderbury", "UTC+13" },
	{ "Pacific/Fakaofo", "UTC+13" },
	{ "Pacific/Tongatapu", "Tonga Standard Time" },
	{ "Pacific/Apia", "Samoa Standard Time" },
	{ "Pacific/Kiritimati", "Line Islands Standard Time" },
	{ "Etc/GMT-14", "Line Islands Standard Time" },
};
static const std::unordered_map<std::string, std::string> windows_to_standard = {
	{ "Dateline Standard Time", "Etc/GMT+12" },
	{ "UTC-11", "Etc/GMT+11" },
	{ "Aleutian Standard Time", "America/Adak" },
	{ "Hawaiian Standard Time", "Pacific/Honolulu" },
	{ "Marquesas Standard Time", "Pacific/Marquesas" },
	{ "Alaskan Standard Time", "America/Anchorage" },
	{ "UTC-09", "Etc/GMT+9" },
	{ "Pacific Standard Time (Mexico)", "America/Tijuana" },
	{ "UTC-08", "Etc/GMT+8" },
	{ "Pacific Standard Time", "America/Los_Angeles" },
	{ "US Mountain Standard Time", "America/Phoenix" },
	{ "Mountain Standard Time (Mexico)", "America/Chihuahua" },
	{ "Mountain Standard Time", "America/Denver" },
	{ "Central America Standard Time", "America/Guatemala" },
	{ "Central Standard Time", "America/Chicago" },
	{ "Easter Island Standard Time", "Pacific/Easter" },
	{ "Central Standard Time (Mexico)", "America/Mexico_City" },
	{ "Canada Central Standard Time", "America/Regina" },
	{ "SA Pacific Standard Time", "America/Bogota" },
	{ "Eastern Standard Time (Mexico)", "America/Cancun" },
	{ "Eastern Standard Time", "America/New_York" },
	{ "Haiti Standard Time", "America/Port-au-Prince" },
	{ "Cuba Standard Time", "America/Havana" },
	{ "US Eastern Standard Time", "America/Indianapolis" },
	{ "Turks And Caicos Standard Time", "America/Grand_Turk" },
	{ "Paraguay Standard Time", "America/Asuncion" },
	{ "Atlantic Standard Time", "America/Halifax" },
	{ "Venezuela Standard Time", "America/Caracas" },
	{ "Central Brazilian Standard Time", "America/Cuiaba" },
	{ "SA Western Standard Time", "America/La_Paz" },
	{ "Pacific SA Standard Time", "America/Santiago" },
	{ "Newfoundland Standard Time", "America/St_Johns" },
	{ "Tocantins Standard Time", "America/Araguaina" },
	{ "E. South America Standard Time", "America/Sao_Paulo" },
	{ "SA Eastern Standard Time", "America/Cayenne" },
	{ "Argentina Standard Time", "America/Buenos_Aires" },
	{ "Greenland Standard Time", "America/Godthab" },
	{ "Montevideo Standard Time", "America/Montevideo" },
	{ "Magallanes Standard Time", "America/Punta_Arenas" },
	{ "Saint Pierre Standard Time", "America/Miquelon" },
	{ "Bahia Standard Time", "America/Bahia" },
	{ "UTC-02", "Etc/GMT+2" },
	{ "Azores Standard Time", "Atlantic/Azores" },
	{ "Cape Verde Standard Time", "Atlantic/Cape_Verde" },
	{ "UTC", "Etc/GMT" },
	{ "GMT Standard Time", "Europe/London" },
	{ "Greenwich Standard Time", "Atlantic/Reykjavik" },
	{ "Sao Tome Standard Time", "Africa/Sao_Tome" },
	{ "Morocco Standard Time", "Africa/Casablanca" },
	{ "W. Europe Standard Time", "Europe/Berlin" },
	{ "Central Europe Standard Time", "Europe/Budapest" },
	{ "Romance Standard Time", "Europe/Paris" },
	{ "Central European Standard Time", "Europe/Warsaw" },
	{ "W. Central Africa Standard Time", "Africa/Lagos" },
	{ "Jordan Standard Time", "Asia/Amman" },
	{ "GTB Standard Time", "Europe/Bucharest" },
	{ "Middle East Standard Time", "Asia/Beirut" },
	{ "Egypt Standard Time", "Africa/Cairo" },
	{ "E. Europe Standard Time", "Europe/Chisinau" },
	{ "Syria Standard Time", "Asia/Damascus" },
	{ "West Bank Standard Time", "Asia/Hebron" },
	{ "South Africa Standard Time", "Africa/Johannesburg" },
	{ "FLE Standard Time", "Europe/Kiev" },
	{ "Israel Standard Time", "Asia/Jerusalem" },
	{ "Kaliningrad Standard Time", "Europe/Kaliningrad" },
	{ "Sudan Standard Time", "Africa/Khartoum" },
	{ "Libya Standard Time", "Africa/Tripoli" },
	{ "Namibia Standard Time", "Africa/Windhoek" },
	{ "Arabic Standard Time", "Asia/Baghdad" },
	{ "Turkey Standard Time", "Europe/Istanbul" },
	{ "Arab Standard Time", "Asia/Riyadh" },
	{ "Belarus Standard Time", "Europe/Minsk" },
	{ "Russian Standard Time", "Europe/Moscow" },
	{ "E. Africa Standard Time", "Africa/Nairobi" },
	{ "Iran Standard Time", "Asia/Tehran" },
	{ "Arabian Standard Time", "Asia/Dubai" },
	{ "Astrakhan Standard Time", "Europe/Astrakhan" },
	{ "Azerbaijan Standard Time", "Asia/Baku" },
	{ "Russia Time Zone 3", "Europe/Samara" },
	{ "Mauritius Standard Time", "Indian/Mauritius" },
	{ "Saratov Standard Time", "Europe/Saratov" },
	{ "Georgian Standard Time", "Asia/Tbilisi" },
	{ "Volgograd Standard Time", "Europe/Volgograd" },
	{ "Caucasus Standard Time", "Asia/Yerevan" },
	{ "Afghanistan Standard Time", "Asia/Kabul" },
	{ "West Asia Standard Time", "Asia/Tashkent" },
	{ "Ekaterinburg Standard Time", "Asia/Yekaterinburg" },
	{ "Pakistan Standard Time", "Asia/Karachi" },
	{ "Qyzylorda Standard Time", "Asia/Qyzylorda" },
	{ "India Standard Time", "Asia/Calcutta" },
	{ "Sri Lanka Standard Time", "Asia/Colombo" },
	{ "Nepal Standard Time", "Asia/Katmandu" },
	{ "Central Asia Standard Time", "Asia/Almaty" },
	{ "Bangladesh Standard Time", "Asia/Dhaka" },
	{ "Omsk Standard Time", "Asia/Omsk" },
	{ "Myanmar Standard Time", "Asia/Rangoon" },
	{ "SE Asia Standard Time", "Asia/Bangkok" },
	{ "Altai Standard Time", "Asia/Barnaul" },
	{ "W. Mongolia Standard Time", "Asia/Hovd" },
	{ "North Asia Standard Time", "Asia/Krasnoyarsk" },
	{ "N. Central Asia Standard Time", "Asia/Novosibirsk" },
	{ "Tomsk Standard Time", "Asia/Tomsk" },
	{ "China Standard Time", "Asia/Shanghai" },
	{ "North Asia East Standard Time", "Asia/Irkutsk" },
	{ "Singapore Standard Time", "Asia/Singapore" },
	{ "W. Australia Standard Time", "Australia/Perth" },
	{ "Taipei Standard Time", "Asia/Taipei" },
	{ "Ulaanbaatar Standard Time", "Asia/Ulaanbaatar" },
	{ "Aus Central W. Standard Time", "Australia/Eucla" },
	{ "Transbaikal Standard Time", "Asia/Chita" },
	{ "Tokyo Standard Time", "Asia/Tokyo" },
	{ "North Korea Standard Time", "Asia/Pyongyang" },
	{ "Korea Standard Time", "Asia/Seoul" },
	{ "Yakutsk Standard Time", "Asia/Yakutsk" },
	{ "Cen. Australia Standard Time", "Australia/Adelaide" },
	{ "AUS Central Standard Time", "Australia/Darwin" },
	{ "E. Australia Standard Time", "Australia/Brisbane" },
	{ "AUS Eastern Standard Time", "Australia/Sydney" },
	{ "West Pacific Standard Time", "Pacific/Port_Moresby" },
	{ "Tasmania Standard Time", "Australia/Hobart" },
	{ "Vladivostok Standard Time", "Asia/Vladivostok" },
	{ "Lord Howe Standard Time", "Australia/Lord_Howe" },
	{ "Bougainville Standard Time", "Pacific/Bougainville" },
	{ "Russia Time Zone 10", "Asia/Srednekolymsk" },
	{ "Magadan Standard Time", "Asia/Magadan" },
	{ "Norfolk Standard Time", "Pacific/Norfolk" },
	{ "Sakhalin Standard Time", "Asia/Sakhalin" },
	{ "Central Pacific Standard Time", "Pacific/Guadalcanal" },
	{ "Russia Time Zone 11", "Asia/Kamchatka" },
	{ "New Zealand Standard Time", "Pacific/Auckland" },
	{ "UTC+12", "Etc/GMT-12" },
	{ "Fiji Standard Time", "Pacific/Fiji" },
	{ "Chatham Islands Standard Time", "Pacific/Chatham" },
	{ "UTC+13", "Etc/GMT-13" },
	{ "Tonga Standard Time", "Pacific/Tongatapu" },
	{ "Samoa Standard Time", "Pacific/Apia" },
	{ "Line Islands Standard Time", "Pacific/Kiritimati" },
};
static const std::unordered_map<std::string, size_t> zone_ids = {
	{ "Etc/GMT+12", 0 },
	{ "Etc/GMT+11", 1 },
	{ "Pacific/Pago_Pago", 2 },
	{ "Pacific/Niue", 3 },
	{ "Pacific/Midway", 4 },
	{ "America/Adak", 5 },
	{ "Pacific/Honolulu", 6 },
	{ "Pacific/Rarotonga", 7 },
	{ "Pacific/Tahiti", 8 },
	{ "Pacific/Johnston", 9 },
	{ "Etc/GMT+10", 10 },
	{ "Pacific/Marquesas", 11 },
	{ "America/Anchorage", 12 },
	{ "America/Juneau", 13 },
	{ "America/Metlakatla", 14 },
	{ "America/Nome", 15 },
	{ "America/Sitka", 16 },
	{ "America/Yakutat", 17 },
	{ "Etc/GMT+9", 18 },
	{ "Pacific/Gambier", 19 },
	{ "America/Tijuana", 20 },
	{ "America/Santa_Isabel", 21 },
	{ "Etc/GMT+8", 22 },
	{ "Pacific/Pitcairn", 23 },
	{ "America/Los_Angeles", 24 },
	{ "America/Vancouver", 25 },
	{ "America/Dawson", 26 },
	{ "America/Whitehorse", 27 },
	{ "PST8PDT", 28 },
	{ "America/Phoenix", 29 },
	{ "America/Dawson_Creek", 30 },
	{ "America/Creston", 31 },
	{ "America/Fort_Nelson", 32 },
	{ "America/Hermosillo", 33 },
	{ "Etc/GMT+7", 34 },
	{ "America/Chihuahua", 35 },
	{ "America/Mazatlan", 36 },
	{ "America/Denver", 37 },
	{ "America/Edmonton", 38 },
	{ "America/Cambridge_Bay", 39 },
	{ "America/Inuvik", 40 },
	{ "America/Yellowknife", 41 },
	{ "America/Ojinaga", 42 },
	{ "America/Boise", 43 },
	{ "MST7MDT", 44 },
	{ "America/Guatemala", 45 },
	{ "America/Belize", 46 },
	{ "America/Costa_Rica", 47 },
	{ "Pacific/Galapagos", 48 },
	{ "America/Tegucigalpa", 49 },
	{ "America/Managua", 50 },
	{ "America/El_Salvador", 51 },
	{ "Etc/GMT+6", 52 },
	{ "America/Chicago", 53 },
	{ "America/Winnipeg", 54 },
	{ "America/Rainy_River", 55 },
	{ "America/Rankin_Inlet", 56 },
	{ "America/Resolute", 57 },
	{ "America/Matamoros", 58 },
	{ "America/Indiana/Knox", 59 },
	{ "America/Indiana/Tell_City", 60 },
	{ "America/Menominee", 61 },
	{ "America/North_Dakota/Beulah", 62 },
	{ "America/North_Dakota/Center", 63 },
	{ "America/North_Dakota/New_Salem", 64 },
	{ "CST6CDT", 65 },
	{ "Pacific/Easter", 66 },
	{ "America/Mexico_City", 67 },
	{ "America/Bahia_Banderas", 68 },
	{ "America/Merida", 69 },
	{ "America/Monterrey", 70 },
	{ "America/Regina", 71 },
	{ "America/Swift_Current", 72 },
	{ "America/Bogota", 73 },
	{ "America/Rio_Branco", 74 },
	{ "America/Eirunepe", 75 },
	{ "America/Coral_Harbour", 76 },
	{ "America/Guayaquil", 77 },
	{ "America/Jamaica", 78 },
	{ "America/Cayman", 79 },
	{ "America/Panama", 80 },
	{ "America/Lima", 81 },
	{ "Etc/GMT+5", 82 },
	{ "America/Cancun", 83 },
	{ "America/New_York", 84 },
	{ "America/Nassau", 85 },
	{ "America/Toronto", 86 },
	{ "America/Iqaluit", 87 },
	{ "America/Montreal", 88 },
	{ "America/Nipigon", 89 },
	{ "America/Pangnirtung", 90 },
	{ "America/Thunder_Bay", 91 },
	{ "America/Detroit", 92 },
	{ "America/Indiana/Petersburg", 93 },
	{ "America/Indiana/Vincennes", 94 },
	{ "America/Indiana/Winamac", 95 },
	{ "America/Kentucky/Monticello", 96 },
	{ "America/Louisville", 97 },
	{ "EST5EDT", 98 },
	{ "America/Port-au-Prince", 99 },
	{ "America/Havana", 100 },
	{ "America/Indianapolis", 101 },
	{ "America/Indiana/Marengo", 102 },
	{ "America/Indiana/Vevay", 103 },
	{ "America/Grand_Turk", 104 },
	{ "America/Asuncion", 105 },
	{ "America/Halifax", 106 },
	{ "Atlantic/Bermuda", 107 },
	{ "America/Glace_Bay", 108 },
	{ "America/Goose_Bay", 109 },
	{ "America/Moncton", 110 },
	{ "America/Thule", 111 },
	{ "America/Caracas", 112 },
	{ "America/Cuiaba", 113 },
	{ "America/Campo_Grande", 114 },
	{ "America/La_Paz", 115 },
	{ "America/Antigua", 116 },
	{ "America/Anguilla", 117 },
	{ "America/Aruba", 118 },
	{ "America/Barbados", 119 },
	{ "America/St_Barthelemy", 120 },
	{ "America/Kralendijk", 121 },
	{ "America/Manaus", 122 },
	{ "America/Boa_Vista", 123 },
	{ "America/Porto_Velho", 124 },
	{ "America/Blanc-Sablon", 125 },
	{ "America/Curacao", 126 },
	{ "America/Dominica", 127 },
	{ "America/Santo_Domingo", 128 },
	{ "America/Grenada", 129 },
	{ "America/Guadeloupe", 130 },
	{ "America/Guyana", 131 },
	{ "America/St_Kitts", 132 },
	{ "America/St_Lucia", 133 },
	{ "America/Marigot", 134 },
	{ "America/Martinique", 135 },
	{ "America/Montserrat", 136 },
	{ "America/Puerto_Rico", 137 },
	{ "America/Lower_Princes", 138 },
	{ "America/Port_of_Spain", 139 },
	{ "America/St_Vincent", 140 },
	{ "America/Tortola", 141 },
	{ "America/St_Thomas", 142 },
	{ "Etc/GMT+4", 143 },
	{ "America/Santiago", 144 },
	{ "America/St_Johns", 145 },
	{ "America/Araguaina", 146 },
	{ "America/Sao_Paulo", 147 },
	{ "America/Cayenne", 148 },
	{ "Antarctica/Rothera", 149 },
	{ "Antarctica/Palmer", 150 },
	{ "America/Fortaleza", 151 },
	{ "America/Belem", 152 },
	{ "America/Maceio", 153 },
	{ "America/Recife", 154 },
	{ "America/Santarem", 155 },
	{ "Atlantic/Stanley", 156 },
	{ "America/Paramaribo", 157 },
	{ "Etc/GMT+3", 158 },
	{ "America/Buenos_Aires", 159 },
	{ "America/Argentina/La_Rioja", 160 },
	{ "America/Argentina/Rio_Gallegos", 161 },
	{ "America/Argentina/Salta", 162 },
	{ "America/Argentina/San_Juan", 163 },
	{ "America/Argentina/San_Luis", 164 },
	{ "America/Argentina/Tucuman", 165 },
	{ "America/Argentina/Ushuaia", 166 },
	{ "America/Catamarca", 167 },
	{ "America/Cordoba", 168 },
	{ "America/Jujuy", 169 },
	{ "America/Mendoza", 170 },
	{ "America/Godthab", 171 },
	{ "America/Montevideo", 172 },
	{ "America/Punta_Arenas", 173 },
	{ "America/Miquelon", 174 },
	{ "America/Bahia", 175 },
	{ "Etc/GMT+2", 176 },
	{ "America/Noronha", 177 },
	{ "Atlantic/South_Georgia", 178 },
	{ "Atlantic/Azores", 179 },
	{ "America/Scoresbysund", 180 },
	{ "Atlantic/Cape_Verde", 181 },
	{ "Etc/GMT+1", 182 },
	{ "Etc/GMT", 183 },
	{ "America/Danmarkshavn", 184 },
	{ "Etc/UTC", 185 },
	{ "Europe/London", 186 },
	{ "Atlantic/Canary", 187 },
	{ "Atlantic/Faeroe", 188 },
	{ "Europe/Guernsey", 189 },
	{ "Europe/Dublin", 190 },
	{ "Europe/Isle_of_Man", 191 },
	{ "Europe/Jersey", 192 },
	{ "Europe/Lisbon", 193 },
	{ "Atlantic/Madeira", 194 },
	{ "Atlantic/Reykjavik", 195 },
	{ "Africa/Ouagadougou", 196 },
	{ "Africa/Abidjan", 197 },
	{ "Africa/Accra", 198 },
	{ "Africa/Banjul", 199 },
	{ "Africa/Conakry", 200 },
	{ "Africa/Bissau", 201 },
	{ "Africa/Monrovia", 202 },
	{ "Africa/Bamako", 203 },
	{ "Africa/Nouakchott", 204 },
	{ "Atlantic/St_Helena", 205 },
	{ "Africa/Freetown", 206 },
	{ "Africa/Dakar", 207 },
	{ "Africa/Lome", 208 },
	{ "Africa/Sao_Tome", 209 },
	{ "Africa/Casablanca", 210 },
	{ "Africa/El_Aaiun", 211 },
	{ "Europe/Berlin", 212 },
	{ "Europe/Andorra", 213 },
	{ "Europe/Vienna", 214 },
	{ "Europe/Zurich", 215 },
	{ "Europe/Busingen", 216 },
	{ "Europe/Gibraltar", 217 },
	{ "Europe/Rome", 218 },
	{ "Europe/Vaduz", 219 },
	{ "Europe/Luxembourg", 220 },
	{ "Europe/Monaco", 221 },
	{ "Europe/Malta", 222 },
	{ "Europe/Amsterdam", 223 },
	{ "Europe/Oslo", 224 },
	{ "Europe/Stockholm", 225 },
	{ "Arctic/Longyearbyen", 226 },
	{ "Europe/San_Marino", 227 },
	{ "Europe/Vatican", 228 },
	{ "Europe/Budapest", 229 },
	{ "Europe/Tirane", 230 },
	{ "Europe/Prague", 231 },
	{ "Europe/Podgorica", 232 },
	{ "Europe/Belgrade", 233 },
	{ "Europe/Ljubljana", 234 },
	{ "Europe/Bratislava", 235 },
	{ "Europe/Paris", 236 },
	{ "Europe/Brussels", 237 },
	{ "Europe/Copenhagen", 238 },
	{ "Europe/Madrid", 239 },
	{ "Africa/Ceuta", 240 },
	{ "Europe/Warsaw", 241 },
	{ "Europe/Sarajevo", 242 },
	{ "Europe/Zagreb", 243 },
	{ "Europe/Skopje", 244 },
	{ "Africa/Lagos", 245 },
	{ "Africa/Luanda", 246 },
	{ "Africa/Porto-Novo", 247 },
	{ "Africa/Kinshasa", 248 },
	{ "Africa/Bangui", 249 },
	{ "Africa/Brazzaville", 250 },
	{ "Africa/Douala", 251 },
	{ "Africa/Algiers", 252 },
	{ "Africa/Libreville", 253 },
	{ "Africa/Malabo", 254 },
	{ "Africa/Niamey", 255 },
	{ "Africa/Ndjamena", 256 },
	{ "Africa/Tunis", 257 },
	{ "Etc/GMT-1", 258 },
	{ "Asia/Amman", 259 },
	{ "Europe/Bucharest", 260 },
	{ "Asia/Nicosia", 261 },
	{ "Asia/Famagusta", 262 },
	{ "Europe/Athens", 263 },
	{ "Asia/Beirut", 264 },
	{ "Africa/Cairo", 265 },
	{ "Europe/Chisinau", 266 },
	{ "Asia/Damascus", 267 },
	{ "Asia/Hebron", 268 },
	{ "Asia/Gaza", 269 },
	{ "Africa/Johannesburg", 270 },
	{ "Africa/Bujumbura", 271 },
	{ "Africa/Gaborone", 272 },
	{ "Africa/Lubumbashi", 273 },
	{ "Africa/Maseru", 274 },
	{ "Africa/Blantyre", 275 },
	{ "Africa/Maputo", 276 },
	{ "Africa/Kigali", 277 },
	{ "Africa/Mbabane", 278 },
	{ "Africa/Lusaka", 279 },
	{ "Africa/Harare", 280 },
	{ "Etc/GMT-2", 281 },
	{ "Europe/Kiev", 282 },
	{ "Europe/Mariehamn", 283 },
	{ "Europe/Sofia", 284 },
	{ "Europe/Tallinn", 285 },
	{ "Europe/Helsinki", 286 },
	{ "Europe/Vilnius", 287 },
	{ "Europe/Riga", 288 },
	{ "Europe/Uzhgorod", 289 },
	{ "Europe/Zaporozhye", 290 },
	{ "Asia/Jerusalem", 291 },
	{ "Europe/Kaliningrad", 292 },
	{ "Africa/Khartoum", 293 },
	{ "Africa/Tripoli", 294 },
	{ "Africa/Windhoek", 295 },
	{ "Asia/Baghdad", 296 },
	{ "Europe/Istanbul", 297 },
	{ "Asia/Riyadh", 298 },
	{ "Asia/Bahrain", 299 },
	{ "Asia/Kuwait", 300 },
	{ "Asia/Qatar", 301 },
	{ "Asia/Aden", 302 },
	{ "Europe/Minsk", 303 },
	{ "Europe/Moscow", 304 },
	{ "Europe/Kirov", 305 },
	{ "Europe/Simferopol", 306 },
	{ "Africa/Nairobi", 307 },
	{ "Antarctica/Syowa", 308 },
	{ "Africa/Djibouti", 309 },
	{ "Africa/Asmera", 310 },
	{ "Africa/Addis_Ababa", 311 },
	{ "Indian/Comoro", 312 },
	{ "Indian/Antananarivo", 313 },
	{ "Africa/Mogadishu", 314 },
	{ "Africa/Juba", 315 },
	{ "Africa/Dar_es_Salaam", 316 },
	{ "Africa/Kampala", 317 },
	{ "Indian/Mayotte", 318 },
	{ "Etc/GMT-3", 319 },
	{ "Asia/Tehran", 320 },
	{ "Asia/Dubai", 321 },
	{ "Asia/Muscat", 322 },
	{ "Etc/GMT-4", 323 },
	{ "Europe/Astrakhan", 324 },
	{ "Europe/Ulyanovsk", 325 },
	{ "Asia/Baku", 326 },
	{ "Europe/Samara", 327 },
	{ "Indian/Mauritius", 328 },
	{ "Indian/Reunion", 329 },
	{ "Indian/Mahe", 330 },
	{ "Europe/Saratov", 331 },
	{ "Asia/Tbilisi", 332 },
	{ "Europe/Volgograd", 333 },
	{ "Asia/Yerevan", 334 },
	{ "Asia/Kabul", 335 },
	{ "Asia/Tashkent", 336 },
	{ "Antarctica/Mawson", 337 },
	{ "Asia/Oral", 338 },
	{ "Asia/Aqtau", 339 },
	{ "Asia/Aqtobe", 340 },
	{ "Asia/Atyrau", 341 },
	{ "Indian/Maldives", 342 },
	{ "Indian/Kerguelen", 343 },
	{ "Asia/Dushanbe", 344 },
	{ "Asia/Ashgabat", 345 },
	{ "Asia/Samarkand", 346 },
	{ "Etc/GMT-5", 347 },
	{ "Asia/Yekaterinburg", 348 },
	{ "Asia/Karachi", 349 },
	{ "Asia/Qyzylorda", 350 },
	{ "Asia/Calcutta", 351 },
	{ "Asia/Colombo", 352 },
	{ "Asia/Katmandu", 353 },
	{ "Asia/Almaty", 354 },
	{ "Antarctica/Vostok", 355 },
	{ "Asia/Urumqi", 356 },
	{ "Indian/Chagos", 357 },
	{ "Asia/Bishkek", 358 },
	{ "Asia/Qostanay", 359 },
	{ "Etc/GMT-6", 360 },
	{ "Asia/Dhaka", 361 },
	{ "Asia/Thimphu", 362 },
	{ "Asia/Omsk", 363 },
	{ "Asia/Rangoon", 364 },
	{ "Indian/Cocos", 365 },
	{ "Asia/Bangkok", 366 },
	{ "Antarctica/Davis", 367 },
	{ "Indian/Christmas", 368 },
	{ "Asia/Jakarta", 369 },
	{ "Asia/Pontianak", 370 },
	{ "Asia/Phnom_Penh", 371 },
	{ "Asia/Vientiane", 372 },
	{ "Asia/Saigon", 373 },
	{ "Etc/GMT-7", 374 },
	{ "Asia/Barnaul", 375 },
	{ "Asia/Hovd", 376 },
	{ "Asia/Krasnoyarsk", 377 },
	{ "Asia/Novokuznetsk", 378 },
	{ "Asia/Novosibirsk", 379 },
	{ "Asia/Tomsk", 380 },
	{ "Asia/Shanghai", 381 },
	{ "Asia/Hong_Kong", 382 },
	{ "Asia/Macau", 383 },
	{ "Asia/Irkutsk", 384 },
	{ "Asia/Singapore", 385 },
	{ "Antarctica/Casey", 386 },
	{ "Asia/Brunei", 387 },
	{ "Asia/Makassar", 388 },
	{ "Asia/Kuala_Lumpur", 389 },
	{ "Asia/Kuching", 390 },
	{ "Asia/Manila", 391 },
	{ "Etc/GMT-8", 392 },
	{ "Australia/Perth", 393 },
	{ "Asia/Taipei", 394 },
	{ "Asia/Ulaanbaatar", 395 },
	{ "Asia/Choibalsan", 396 },
	{ "Australia/Eucla", 397 },
	{ "Asia/Chita", 398 },
	{ "Asia/Tokyo", 399 },
	{ "Asia/Jayapura", 400 },
	{ "Pacific/Palau", 401 },
	{ "Asia/Dili", 402 },
	{ "Etc/GMT-9", 403 },
	{ "Asia/Pyongyang", 404 },
	{ "Asia/Seoul", 405 },
	{ "Asia/Yakutsk", 406 },
	{ "Asia/Khandyga", 407 },
	{ "Australia/Adelaide", 408 },
	{ "Australia/Broken_Hill", 409 },
	{ "Australia/Darwin", 410 },
	{ "Australia/Brisbane", 411 },
	{ "Australia/Lindeman", 412 },
	{ "Australia/Sydney", 413 },
	{ "Australia/Melbourne", 414 },
	{ "Pacific/Port_Moresby", 415 },
	{ "Antarctica/DumontDUrville", 416 },
	{ "Pacific/Truk", 417 },
	{ "Pacific/Guam", 418 },
	{ "Pacific/Saipan", 419 },
	{ "Etc/GMT-10", 420 },
	{ "Australia/Hobart", 421 },
	{ "Australia/Currie", 422 },
	{ "Asia/Vladivostok", 423 },
	{ "Asia/Ust-Nera", 424 },
	{ "Australia/Lord_Howe", 425 },
	{ "Pacific/Bougainville", 426 },
	{ "Asia/Srednekolymsk", 427 },
	{ "Asia/Magadan", 428 },
	{ "Pacific/Norfolk", 429 },
	{ "Asia/Sakhalin", 430 },
	{ "Pacific/Guadalcanal", 431 },
	{ "Antarctica/Macquarie", 432 },
	{ "Pacific/Ponape", 433 },
	{ "Pacific/Kosrae", 434 },
	{ "Pacific/Noumea", 435 },
	{ "Pacific/Efate", 436 },
	{ "Etc/GMT-11", 437 },
	{ "Asia/Kamchatka", 438 },
	{ "Asia/Anadyr", 439 },
	{ "Pacific/Auckland", 440 },
	{ "Antarctica/McMurdo", 441 },
	{ "Etc/GMT-12", 442 },
	{ "Pacific/Tarawa", 443 },
	{ "Pacific/Majuro", 444 },
	{ "Pacific/Kwajalein", 445 },
	{ "Pacific/Nauru", 446 },
	{ "Pacific/Funafuti", 447 },
	{ "Pacific/Wake", 448 },
	{ "Pacific/Wallis", 449 },
	{ "Pacific/Fiji", 450 },
	{ "Pacific/Chatham", 451 },
	{ "Etc/GMT-13", 452 },
	{ "Pacific/Enderbury", 453 },
	{ "Pacific/Fakaofo", 454 },
	{ "Pacific/Tongatapu", 455 },
	{ "Pacific/Apia", 456 },
	{ "Pacific/Kiritimati", 457 },
	{ "Etc/GMT-14", 458 },
};
